ChangeSet 1.1267.20.10, 2004/01/20 15:59:32-08:00, wolfgang@iksw-muees.de

[PATCH] USB: auerswald driver: add a new device

this patch adds a new device which uses the same protocol:


 drivers/usb/auermain.c |   11 ++++++-----
 1 files changed, 6 insertions(+), 5 deletions(-)


diff -Nru a/drivers/usb/auermain.c b/drivers/usb/auermain.c
--- a/drivers/usb/auermain.c	Wed Jan 28 13:36:47 2004
+++ b/drivers/usb/auermain.c	Wed Jan 28 13:36:47 2004
@@ -2,7 +2,7 @@
 /*
  *      auermain.c  --  Auerswald PBX/System Telephone usb driver.
  *
- *      Copyright (C) 2002  Wolfgang Mes (wolfgang@iksw-muees.de)
+ *      Copyright (C) 2002-2004  Wolfgang Mes (wolfgang@iksw-muees.de)
  *
  *      Very much code of this driver is borrowed from dabusb.c (Deti Fliegl)
  *      and from the USB Skeleton driver (Greg Kroah-Hartman). Thank you.
@@ -55,7 +55,7 @@
 
 /*-------------------------------------------------------------------*/
 /* Version Information */
-#define DRIVER_VERSION "1.2.3"
+#define DRIVER_VERSION "1.2.6"
 #define DRIVER_AUTHOR  "Wolfgang Mes <wolfgang@iksw-muees.de>"
 #define DRIVER_DESC    "Auerswald PBX/System Telephone usb driver"
 
@@ -828,9 +828,10 @@
 static struct usb_device_id auerswald_ids[] = {
 	{USB_DEVICE(ID_AUERSWALD, 0x00C0)},	/* COMpact 2104 USB/DSL */
 	{USB_DEVICE(ID_AUERSWALD, 0x00DB)},	/* COMpact 4410/2206 USB */
-	{USB_DEVICE(ID_AUERSWALD, 0x00DC)},	/* comming soon... */
-	{USB_DEVICE(ID_AUERSWALD, 0x00F1)},	/* Comfort 2000 System Telephone */
-	{USB_DEVICE(ID_AUERSWALD, 0x00F2)},	/* Comfort 1200 System Telephone */
+	{USB_DEVICE(ID_AUERSWALD, 0x00DC)},	/* COMpact 4406 DSL */
+	{USB_DEVICE(ID_AUERSWALD, 0x00DD)},	/* COMpact 2204 USB */
+	{USB_DEVICE(ID_AUERSWALD, 0x00F1)},	/* COMfort 2000 System Telephone */
+	{USB_DEVICE(ID_AUERSWALD, 0x00F2)},	/* COMfort 1200 System Telephone */
 	{}					/* Terminating entry */
 };
 
